/* istrstream replacement
 * Written 2002,2003 by Christian Nowak <chnowak@web.de>
 * http://chn.roarvgm.com/
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "iistrstream.h"

iistrstream::iistrstream ( const char * str, int len )
	{
		theString = (char*) malloc (len);
		memcpy ( theString, str, len );
		this->len = len;
		curPos = 0;
	}

iistrstream::~iistrstream ()
	{
		free ( (void*) theString );
	}

iistrstream& iistrstream::operator>>(char&c)
	{
		c = theString[curPos++];
		return *this;
	}

iistrstream::operator bool()
	{
		if (theString!=0 && curPos<len)
			return true;
		else
			return false;
	}

iistrstream& iistrstream::putback(char c)
	{
		return *this;
	}
